Get List of Queues

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

queues:read

Query Parameters

ParameterTypeDescription
idstringAllows filtering by Queue ID (only one ID at a time). If both id and name are provided, id takes precedence. Minimum 1 character.
namestringAllows searching queues by name. Returns queues whose name partially or fully matches the given string (case insensitive). Minimum 1 character.
order_bystringSorts the retrieved results. If not specified, defaults to sorting by most recent queue update (updated_at). Sorting by multiple fields is not currently supported. Minimum 1 character.
pageintegerThe page number to retrieve. Minimum value: 1. Default: 1.
per_pageintegerNumber of queues to return per page. Affects the total number of pages for the same collection. Minimum: 1, Maximum: 100. Default: 20.
prompt_idsstringAllows filtering by Prompt ID(s). Accepts one or more values separated by commas. Returns queues where the agent_waiting_music settings match the specified Prompt ID(s). Minimum 1 character. Example: prompt_id1,prompt_id2.

Body Response

200 OK

ParameterTypeDescription
totalintegerTotal number of queues. Required.
countintegerNumber of queues returned in the current page. Required.
pageintegerCurrent page number. Required.
per_pageintegerNumber of queues per page. Required.
_embeddedobject

Container for embedded resources. Required.
"_embedded" subdivides into:

1 - "queues" (array[object]) - List of queue objects. Required.

_linksobject

Pagination and navigation links. Required.
"_links" subdivides into:

1 - "self" (object) - Link to the current page. Required.
2 - "page" (object) - Link to page information. Required.
3 - "prev" (object or null) - Link to the previous page. Null if on the first page.
4 - "next" (object or null) - Link to the next page. Null if on the last page.

400 (bad request), 401 (unauthorized), 403 (forbidden), 422 (unprocessable entity), 500 (unexpected error has occurred)

ParameterTypeDescriptionRequired
codestringThe error code. Required.yes
messagestringA short description of the error. Required.yes
descriptionstringA detailed description of the error.no
fieldsarray[object]

A list of fields associated with the error.
"fields" subdivides into:

1 - "name" (string) - The name of the field. Required.
2 - "description" (string) - A description of the field error. Required.

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Query Params
string
Body Params
string
required
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json